"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _promise = _interopRequireDefault(require("@babel/runtime/core-js/promise"));

var _chalk = _interopRequireDefault(require("chalk"));

var _plugins = require("@vzhdi/ox/plugins");

class PluginBabelImport extends _plugins.Plugin {
  constructor(name, options = {}) {
    if (typeof name !== 'string' || name.trim() === '') {
      console.log(_chalk.default.red('[OX-Plugin-Babel-Import]:`name` is required'));
      process.exit(0);
    }

    super(`@ox-plugin-babel-import/index/${name}`);
    this.libName = name;
    this.options = options;
  }

  apply(ox) {
    ox.hooks['config.assign.babel.userConfig.before'].tapPromise(this.name, buildInConfig => _promise.default.resolve({
      plugins: buildInConfig.plugins.concat([['import', { ...this.options,
        libraryName: this.libName
      }, this.libName]])
    }));
  }

}

var _default = PluginBabelImport;
exports.default = _default;